Name:           sxiv
Version:        1.2
Release:        %mkrel 4
Summary:        Simple (or small or suckless) X Image Viewer
Group:          Graphics/Viewers
License:        GPLv2+
URL:            https://github.com/muennich/%{name}/
Source0:	https://github.com/muennich/%{name}/archive/v%{version}.tar.gz
Source1:        %{name}.desktop
# From RH, enabling to use our flags:
Patch0:         sxiv-1.2-optflags.patch
Patch1:		sxiv-1.2-giflib5.patch
BuildRequires:  giflib-devel
BuildRequires:  libx11-devel
BuildRequires:  imlib2-devel
BuildRequires:  desktop-file-utils

%description
sxiv is an alternative to feh and qiv.  The primary goal for writing sxiv is to
create an image viewer, which only has the most basic features required for
fast image viewing.
It works nicely with tiling window managers and its code base should be kept
small and clean to make it easy for you to dig into it and customize it for
your needs.

%prep
%setup -q
%patch0 -p1 -b .optflags
%patch1 -p1 -b .giflib5

%build
export CFLAGS="%{optflags}"
%make

%install
%makeinstall_std PREFIX=%{_prefix}
desktop-file-install --dir=%{buildroot}%{_datadir}/applications %{SOURCE1}

%files
%doc LICENSE README.md
%{_bindir}/sxiv
%{_datadir}/applications/*
%{_mandir}/man1/*
%{_datadir}/sxiv/exec/*


%changelog
* Thu Jan 07 2016 luigiwalser <luigiwalser> 1.2-4.mga6
+ Revision: 920498
- add patch to fix build with giflib5
- rebuild for giflib

* Wed Oct 15 2014 umeabot <umeabot> 1.2-3.mga5
+ Revision: 743877
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.2-2.mga5
+ Revision: 689647
- Mageia 5 Mass Rebuild

* Sat Sep 06 2014 tv <tv> 1.2-1.mga5
+ Revision: 672663
- adjust file list
- BR giflib-devel
- new release

* Sat Oct 19 2013 umeabot <umeabot> 1.0-4.mga4
+ Revision: 527512
- Mageia 4 Mass Rebuild

* Sat Jun 08 2013 fwang <fwang> 1.0-3.mga4
+ Revision: 440469
- simplify br

* Mon Jan 14 2013 umeabot <umeabot> 1.0-2.mga3
+ Revision: 383862
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Oct 25 2012 tv <tv> 1.0-1.mga3
+ Revision: 309943
- imported package sxiv

